Bacterial strains and growth conditions
Bacterial strains used in this study are listed in Supplementary Table 1. For standard cultivation, C. glutamicum cells ATCC 13032 (wild type) and derivatives were streaked on agar plates (17 g/l) containing brain heart infusion (BHI) (Difco, BD, Heidelberg, Germany) (37 g/l) and inoculated at 30°C overnight. One single colony was picked and incubated for approximately 8 h at 30°C in 5 ml BHI in reaction tubes (for cultivation in shake flasks) or in 1 ml BHI in deep-well plates (VWR International, PA, United States) (for microtiter cultivation). This first pre-culture was used to inoculate the second pre-culture 1:10 in CGXII minimal medium (Keilhauer et al., 1993) supplemented with 2% (w/v) glucose but without any iron source to starve the cells from iron allowing the usage of heme as alternative iron source in the main culture. CGXII medium without FeSO4 is in the following referred to as “iron-free CGXII.” If appropriate, 25 μg/ml kanamycin was added to the medium. Incubation followed shaking at 120 rpm over night at 30°C. For the main experiment, cultures were inoculated to an OD600 of 1 in iron-free CGXII with 2% (w/v) glucose, and the respective amount of hemin (Sigma-Aldrich, St. Louis, United States). For simplicity, hemin is further referred to as heme throughout this study.

For the ALE experiment, the main culture was grown in deep-well plates for 1–3 days and then freshly transferred at an OD600 of 1 for the next batch. After the 13th inoculation, glycerol stocks of each population were frozen at −80°C. This allowed a restreaking of each potentially heterogeneous population on BHI-agar plates and picking of single evolved clones. Online monitoring of bacterial growth was performed using the BioLector® microtiter cultivation system of Beckman Coulter GmbH (Baesweiler) (Kensy et al., 2009). Backscatter (a.u.) was measured in 30 min intervals as scattered light with a wavelength of 620 nm (gain: 20); YFP-fluorescence was measured at an excitation wavelength of 508 nm and an emission wavelength of 532 nm (gain: 80). Specific fluorescence (a.u.) was calculated by dividing the YFP-signal by the backscatter signal for each measurement.